This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1459215 - ssh -Q key not listing rsa-sha2-256 and rsa-sha2-512
ssh -Q key not listing rsa-sha2-256 and rsa-sha2-512
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openssh (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jakub Jelen
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 10:40 EDT by Stefan Dordevic
Modified: 2017-07-19 08:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Dordevic 2017-06-06 10:40:48 EDT
Description of problem:

"ssh -Q key" command is not listing 
rsa-sha2-256 and rsa-sha2-512

# ssh -Q key
ssh-ed25519
ssh-ed25519-cert-v01@openssh.com
ssh-rsa
ssh-dss
ecdsa-sha2-nistp256
ecdsa-sha2-nistp384
ecdsa-sha2-nistp521
ssh-rsa-cert-v01@openssh.com
ssh-dss-cert-v01@openssh.com
ecdsa-sha2-nistp256-cert-v01@openssh.com
ecdsa-sha2-nistp384-cert-v01@openssh.com
ecdsa-sha2-nistp521-cert-v01@openssh.com

If we introduce them in the man pages, even if they are part of extension I guess they also should be listed from command line with "ssh -Q key"

Version-Release number of selected component (if applicable):
openssh-7.4p1-11.el7

Note You need to log in before you can comment on or make changes to this bug.